Skip to main content
GET
/
api
/
v1
/
appuid
/
{appUid}
/
labels
/
externalId
/
{externalId}
Retrieve a label by externalId
curl --request GET \
  --url https://a.api.mindset.ai/api/v1/appuid/{appUid}/labels/externalId/{externalId} \
  --header 'x-api-key: <api-key>'
{
  "uid": "<string>",
  "externalId": "<string>",
  "name": "<string>",
  "showInDiscovery": true,
  "createdAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.mindset.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Path Parameters

appUid
string
required

Your application's uid

Minimum string length: 1
externalId
string
required

Unique externalId of the label

Response

Successful retrieval

uid
string

Unique ID of the label

externalId
string

Optionally id of external store where content has been ingested from

name
string
showInDiscovery
boolean

Is this label visible to end users?

createdAt
string<date-time>

Creation timestamp (ISO 8601)